POST /v1/runs/tx-attribution
Resolve blockchain transaction hashes to the workflow run that executed them

Request Body required

Transaction hashes

application/json
One of:
Option 1
Option 2
txHashes string[] REQUIRED
Array of:

Responses

200 OK
application/json
code integer
data object
message string
requestId string
400 Bad Request
curl -X POST 'https://api.example.com/v1/runs/tx-attribution' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{}'
const response = await fetch('https://api.example.com/v1/runs/tx-attribution', {  method: 'POST',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/runs/tx-attribution', headers=headers, json={})print(response.json())
package mainimport (	"fmt"	"io"	"net/http"	"strings")func main() {	body := strings.NewReader(`{}`)	req, _ := http.NewRequest("POST", "https://api.example.com/v1/runs/tx-attribution", body)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	req.Header.Set("Content-Type", "application/json")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 0,  "data": "<object>",  "message": "successfully",  "requestId": "<string>"}
Ask a question... ⌘I